Bug 532205 - Review Request: microba - Set of JFC (Swing) components
Summary: Review Request: microba - Set of JFC (Swing) components
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Michal Ingeli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: F13FeatureIDEA
Keywords:
Depends On: 532203
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-31 13:11 UTC by Lubomir Rintel
Modified: 2009-11-24 00:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-21 17:52:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mi: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2009-10-31 13:11:21 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/microba.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/microba-0.4.4.3-1.fc12.src.rpm

Description:

Microba is a set of finely crafted & feature rich JFC (Swing) components,
including a date picker, calendar, gradient editor, palette editor and
jgraph bird view.

Comment 1 Michal Ingeli 2009-11-19 07:27:18 UTC
- clean spec file
- good requires
- all java specifics are according to java packaging guidelines
- good license
- rpmlint silent

* as this is built with ant, I am missing it as a BuildRequire.

Comment 2 Lubomir Rintel 2009-11-19 22:15:52 UTC
Barzdo dziękuję.
ant BR added (sorry I did not mockbuild before, deps were not in yet.)

New package:

SPEC: http://v3.sk/~lkundrak/SPECS/microba.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/microba-0.4.4.3-2.src.rpm

Comment 3 Michal Ingeli 2009-11-20 08:11:10 UTC
Seems fine now. Builds locally and with mock for f12, although build fails for rawhide mock while building javadoc sub-package. Looking at exception, it's javadoc fault.

APPROVED

Comment 4 Lubomir Rintel 2009-11-20 08:48:07 UTC
Apparently a known sinjdoc issue bug #449851. Build with OpenJDK sinjdoc succeeded: http://koji.fedoraproject.org/koji/taskinfo?taskID=1819012

Thanks for review!

New Package CVS Request
=======================
Package Name: microba
Short Description: Set of JFC (Swing) components
Owners: lkundrak
Branches: F-11 F-12 EL-5

Comment 5 Dennis Gilmore 2009-11-20 21:49:48 UTC
CVS Done

Comment 6 Lubomir Rintel 2009-11-21 17:52:54 UTC
Thank you for review and CVS.
Imported and built.

\o/


Note You need to log in before you can comment on or make changes to this bug.